<template>
  <q-layout view="lLh lpR lFf">
    <q-header
      reveal
      elevated>
      <q-toolbar class="bg-white text-black">
        <q-btn
          flat
          dense
          round
          icon="menu"
          aria-label="Menu"
          @click="leftDrawerOpen = !leftDrawerOpen"
        />

        <q-avatar>
          <img src="statics/app-logo-128x128.png">
        </q-avatar>

        <q-toolbar-title>
          Cure Discovery Task Force
        </q-toolbar-title>
      </q-toolbar>
    </q-header>

    <q-drawer
      v-model="leftDrawerOpen"
      bordered
      show-if-above
    >
      <q-list>
        <q-item-label
          header
          class="text-grey-8"
        >
          Essential Links
        </q-item-label>
        <EssentialLink
          v-for="link in essentialLinks"
          :key="link.title"
          v-bind="link"
        />
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import EssentialLink from 'components/EssentialLink'

export default {
  name: 'MainLayout',

  components: {
    EssentialLink
  },

  data () {
    return {
      leftDrawerOpen: false,
      essentialLinks: [
        {
          target: '_self',
          title: 'Doctors and Nurses',
          caption: 'Any personnel realted with healthcare',
          icon: 'fas fa-briefcase-medical',
          link: '.'
        },
        {
          title: 'Roadmap',
          caption: 'How we plan on finding a cure',
          icon: 'fas fa-mountain',
          link: 'https://gitlab.com/rebhu-computing/rosf/sushrut.codes/cdtf/roadmap/'
        },
        {
          title: 'Drug research',
          caption: 'Chemical engineers/scientists, Drug researchers',
          icon: 'fas fa-pills',
          link: 'https://gitlab.com/rebhu-computing/rosf/sushrut.codes/cdtf/roadmap/-/blob/master/CHEM.md'
        },
        {
          title: 'Devs',
          caption: 'Computer scientists/engineers, Software developers',
          icon: 'fas fa-laptop-code',
          link: 'https://gitlab.com/rebhu-computing/rosf/sushrut.codes/cdtf/roadmap/-/blob/master/COMPSCI.md'
        },
        {
          title: 'Infra',
          caption: 'Moderate and evangelize',
          icon: 'fas fa-user-friends',
          link: 'https://gitlab.com/rebhu-computing/rosf/sushrut.codes/cdtf/roadmap/-/blob/master/INFRA.md'
        },
        {
          title: 'Miscellaneous',
          caption: 'Want to help but don\'t know how?',
          icon: 'fas fa-meh',
          link: 'https://gitlab.com/rebhu-computing/rosf/sushrut.codes/cdtf/roadmap/-/blob/master/IDK.md'
        },
        {
          title: 'Global statistics',
          caption: 'Check out the global statistics',
          icon: 'fas fa-table',
          link: 'https://www.arcgis.com/apps/opsdashboard/index.html#/bda7594740fd40299423467b48e9ecf6'
        }
      ]
    }
  }
}
</script>
